baseURL = "https://nick-slowinski.de"
defaultContentLanguage = "de"
languageCode = "de"
title = "Nick Slowinski"
theme = "LoveIt"
enableEmoji = true
enableGitInfo = true

[params]
  # LoveIt theme version
  version = "0.2.X"
  gitRepo = "https://git.nick-slowinski.de/nick-slowinski.de/www"
  defaultTheme = "auto"
  # Home page config
  [params.home]
    # LoveIt NEW | 0.2.0 amount of RSS pages
    rss = 10
    # Home page profile
    [params.home.profile]
      enable = true
      # URL of avatar shown in home page
      avatarURL = "/images/Nick_Slowinski.png"
      title = "Nick Slowinski"
      # subtitle shown in home page
      subtitle = "Entschuldigung, hier ist momentan nicht viel. Ich werde bald mehr hinzufügen.     Irgendwann.     Versprochen."
      # whether to use typeit animation for subtitle
      typeit = true
      # whether to show social links
      social = true
      # LoveIt NEW | 0.2.0 disclaimer (HTML format is supported)
      disclaimer = ""
    # Home page posts
    [params.home.posts]
      enable = true
      # special amount of posts in each home posts page
      paginate = 6
  [params.search]
  enable = true
  # type of search engine ("lunr", "algolia")
  type = "lunr"
  # max index length of the chunked content
  contentLength = 4000
  # placeholder of the search bar
  placeholder = ""
  # LoveIt NEW | 0.2.1 max number of results length
  maxResultLength = 10
  # LoveIt NEW | 0.2.3 snippet length of the result
  snippetLength = 30
  # LoveIt NEW | 0.2.1 HTML tag name of the highlight part in results
  highlightTag = "em"
  # LoveIt NEW | 0.2.4 whether to use the absolute URL based on the baseURL in search index
  absoluteURL = false

  # Social config about the author
  [params.social]
    Telegram = "NickSlowinski"
    Gitea = "https://git.nick-slowinski.de/NickSlowinski/"
    Email = "nick@nick-slowinski.de"
    RSS = false
[params.footer]
    custom = '<a href="/impressum/" target="_blank">Impressum, Haftungsausschluss und Datenschutzerklärung</a>'


# Markup related configuration in Hugo
[markup]
  # Syntax Highlighting (https://gohugo.io/content-management/syntax-highlighting)
  [markup.highlight]
    # false is a necessary configuration (https://github.com/dillonzq/LoveIt/issues/158)
    noClasses = false

[author]
  name = "Nick Slowinski"
  email = "nick@nick-slowinski.de"
  link = ""